import request from '@/utils/require'
import { irpt } from '@/api/index'
//市储粮实际库存分布表
export function actualInventoryPage(data, page) {
  return request({
    url: `${irpt}/actualInventoryPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//储备账面库存分布表
export function bookInventoryPage(data, page) {
  return request({
    url: `${irpt}/bookInventoryPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//地方储备粮收支平衡月报
export function reservesReportPage(data, page) {
  return request({
    url: `${irpt}/page/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//国家储备粮收支平衡月报
export function countryReservesReportPage(data, page) {
  return request({
    url: `${irpt}/countryReservesReportPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//天津市储备粮业务管理表
export function grainReservePage(data, page) {
  return request({
    url: `${irpt}/grainReservePage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//市储粮轮换（实际库存）情况表
export function grainRotationPage(data, page) {
  return request({
    url: `${irpt}/grainRotationPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//损耗计算
export function lossCalculationPage(data, page) {
  return request({
    url: `${irpt}/lossCalculationPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//天津市储备油业务管理表
export function oilReservePage(data, page) {
  return request({
    url: `${irpt}/oilReservePage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//小麦购、销外省市
export function wheatProcurementPage(data, page) {
  return request({
    url: `${irpt}/wheatProcurementPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//稻谷购、销外省市
export function riceProcurementPage(data, page) {
  return request({
    url: `${irpt}/riceProcurementPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//天津市储备粮油轮换情况季报表
export function grainOilRotationPage(data, page) {
  return request({
    url: `${irpt}/grainOilRotationPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//市级储备粮轮换补贴清算申请表
export function applicationSubsidyPage(data, page) {
  return request({
    url: `${irpt}/applicationSubsidyPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//市级储备粮轮换补贴预算申请表
export function preApplicationSubsidyPage(data, page) {
  return request({
    url: `${irpt}/preApplicationSubsidyPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}

//地方储备粮油进销存报表-总汇总
export function localDrpCollectPage(data, page) {
  return request({
    url: `${irpt}/localDrpCollectPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//地方储备粮油进销存报表、补贴表
export function localDrpPage(data, page) {
  return request({
    url: `${irpt}/localDrpPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//补贴汇总表-储存费-各单位、每月补贴
export function storageFeeSubsidyPage(data, page) {
  return request({
    url: `${irpt}/storageFeeSubsidyPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//市级储备粮库存数量检查抽包检斤法货位明细表
export function smokePackageInspectionPage(data, page) {
  return request({
    url: `${irpt}/smokePackageInspectionPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//市级储备粮库存数量检查测量计算法货位明细表
export function smokePackageCountPage(data, page) {
  return request({
    url: `${irpt}/smokePackageCountPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//仓储业务统计表-天津市储备粮业务管理表
export function grainBusinessPage(data, page) {
  return request({
    url: `${irpt}/grainBusinessPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//仓储业务统计表-天津市储备油业务管理表
export function oilBusinessPage(data, page) {
  return request({
    url: `${irpt}/oilBusinessPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}//仓储业务统计表-天津市储备油业务管理表
export function emergencyManagementPage(data, page) {
  return request({
    url: `${irpt}/emergencyManagementPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
//粮库上报数据采集
export function grainDepotReportPage(data, page) {
  return request({
    url: `${irpt}/lossCalculationPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
export function grainDepotReportDetail(data, page) {
  return request({
    url: `${irpt}/lossCalculationPage/${page.pageNum}/${page.pageSize}`,
    method: 'post',
    data
  });
}
